Bug 47442 - include/llvm/Support/Host.h:23:28: fatal error: machine/endian.h: No such file or directory
Summary: include/llvm/Support/Host.h:23:28: fatal error: machine/endian.h: No such fil...
Status: RESOLVED NOT_ON_ROADMAP
Alias: None
Product: Runtime
Classification: Mono
Component: General (show other bugs)
Version: master
Hardware: PC Windows
: --- normal
Target Milestone: ---
Assignee: Bugzilla
URL:
Depends on:
Blocks:
 
Reported: 2016-11-18 23:32 UTC by jaromir.flidr
Modified: 2017-10-06 23:35 UTC (History)
5 users (show)

Tags:
Is this bug a regression?: ---
Last known good build:

Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on GitHub or Developer Community with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
RESOLVED NOT_ON_ROADMAP

Description jaromir.flidr 2016-11-18 23:32:50 UTC
I tried to build Mono with LLVM support 

LLVM went ok
* git clone git://github.com/mono/llvm.git
* cd llvm
* ./configure --prefix=/llvm --enable-optimized --enable-targets="x86 x86_64"
* make && make install

Mono with LLVM
* git clone git://github.com/mono/mono
* cd git
* ./autogen.sh --with-llvm=/llvm --host=i686-w64-mingw32 --prefix=/mono
* make && make install

the last step fails with:
In file included from llvm-jit.cpp:283:0:
/llvm/include/llvm/Support/Host.h:23:28: fatal error: machine/endian.h: No such file or directory

Please advise
Comment 1 Zoltan Varga 2016-11-21 21:51:17 UTC
Mono+llvm is not tested right now on windows, so its unlikely to work.